<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <title>Chapitre 8. Internationalisation et traduction</title>
    <link rel="stylesheet" type="text/css" href="developers-reference.css"/>
    <meta name="generator" content="DocBook XSL Stylesheets V1.78.1"/>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <link rel="home" href="index.html" title="Référence du développeur Debian"/>
    <link rel="up" href="index.html" title="Référence du développeur Debian"/>
    <link rel="prev" href="ch07.html" title="Chapitre 7. Au-delà de l'empaquetage"/>
    <link rel="next" href="apa.html" title="Annexe A. Aperçu des outils du responsable Debian"/>
  </head>
  <body>
    <div class="navheader">
      <table width="100%" summary="Navigation header">
        <tr>
          <th colspan="3" align="center">Chapitre 8. Internationalisation et traduction</th>
        </tr>
        <tr>
          <td align="left"><a accesskey="p" href="ch07.html"><img src="images/prev.png" alt="Précédent"/></a> </td>
          <th width="60%" align="center"> </th>
          <td align="right"> <a accesskey="n" href="apa.html"><img src="images/next.png" alt="Suivant"/></a></td>
        </tr>
      </table>
      <hr/>
    </div>
    <div class="chapter">
      <div class="titlepage">
        <div>
          <div>
            <h1 class="title"><a id="l10n"/>Chapitre 8. Internationalisation et traduction</h1>
          </div>
        </div>
      </div>
      <div class="toc">
        <p>
          <strong>Table des matières</strong>
        </p>
        <dl class="toc">
          <dt>
            <span class="section">
              <a href="ch08.html#l10n-handling">8.1. Gestion des traductions au sein de Debian</a>
            </span>
          </dt>
          <dt>
            <span class="section">
              <a href="ch08.html#l10n-faqm">8.2. FAQ I18N et L10N pour les responsables</a>
            </span>
          </dt>
          <dd>
            <dl>
              <dt>
                <span class="section">
                  <a href="ch08.html#l10n-faqm-tr">8.2.1. Comment faire en sorte qu'un texte soit traduit</a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="ch08.html#l10n-faqm-rev">8.2.2. Comment faire en sorte qu'une traduction donnée soit relue</a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="ch08.html#l10n-faqm-update">8.2.3. Comment faire en sorte qu'une traduction donnée soit mise à jour</a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="ch08.html#l10n-faqm-bug">8.2.4. Comment gérer un rapport de bogue concernant une traduction</a>
                </span>
              </dt>
            </dl>
          </dd>
          <dt>
            <span class="section">
              <a href="ch08.html#l10n-faqtr">8.3. FAQ I18N et L10N pour les traducteurs</a>
            </span>
          </dt>
          <dd>
            <dl>
              <dt>
                <span class="section">
                  <a href="ch08.html#l10n-faqtr-help">8.3.1. Comment aider l'effort de traduction</a>
                </span>
              </dt>
              <dt>
                <span class="section">
                  <a href="ch08.html#l10n-faqtr-inc">8.3.2. Comment fournir une traduction pour inclusion dans un paquet</a>
                </span>
              </dt>
            </dl>
          </dd>
          <dt>
            <span class="section">
              <a href="ch08.html#l10n-best">8.4. Meilleures pratiques actuelles concernant la l10n</a>
            </span>
          </dt>
        </dl>
      </div>
      <p>
Debian prend en charge un nombre toujours croissant de langues
naturelles. Même si l'anglais est votre langue maternelle et que vous ne
parlez pas d'autre langue, il est de votre devoir de responsable d'être
conscient des problèmes d'internationalisation (abrégé en i18n à cause des
18 lettres entre le « i » et le « n » de « internationalisation »). C'est
pourquoi, même si des programmes seulement en anglais vous suffisent, vous
devriez lire la plupart de ce chapitre.
</p>
      <p>
Selon l'<a class="ulink" href="https://www.debian.org/doc/manuals/intro-i18n/">introduction à l'i18n</a> de
Tomohiro KUBOTA, « I18N (internationalisation) signifie la modification d'un
logiciel ou des technologies liées pour qu'un logiciel puisse
potentiellement gérer des langues multiples, des conventions multiples et
ainsi de suite dans le monde entier » alors que « L10N (localisation)
signifie l'implémentation dans une langue spécifique pour un logiciel déjà
internationalisé ».
</p>
      <p>
La l10n et l'i18n sont interconnectées, mais les difficultés liées à chacune
sont très différentes. Il n'est pas vraiment difficile de permettre à un
programme de changer la langue dans laquelle sont affichés les textes selon
les paramètres de l'utilisateur, mais il est très coûteux en temps de
traduire réellement ces messages. D'un autre côté, définir le codage des
caractères est trivial, mais adapter le code pour utiliser des codages de
caractères différents est un problème vraiment difficile.
</p>
      <p>
En laissant de côté les problèmes d'i18n pour lesquels il n'existe pas de
règle générale, il n'y a pas actuellement d'infrastructure centralisée pour
la l10n dans Debian qui puisse être comparée au mécanisme
<code class="literal">buildd</code> pour le portage. Le plus gros du travail doit donc
être réalisé manuellement.
</p>
      <div class="section">
        <div class="titlepage">
          <div>
            <div>
              <h2 class="title"><a id="l10n-handling"/>8.1. Gestion des traductions au sein de Debian</h2>
            </div>
          </div>
        </div>
        <p>
La gestion des traductions des textes contenus dans un paquet est encore une
tâche manuelle et le processus dépend du type de texte que vous désirez voir
traduit.
</p>
        <p>
Pour les messages des programmes, l'infrastructure gettext est utilisée pour
la plupart d'entre eux. La plupart du temps, la traduction est gérée en
amont dans des projets comme le <a class="ulink" href="https://translationproject.org/html/welcome.html">projet de
traduction libre</a>, le <a class="ulink" href="https://wiki.gnome.org/TranslationProject">projet de
traduction de Gnome</a> ou <a class="ulink" href="http://i18n.kde.org/">celui de
KDE</a>. La seule ressource centralisée dans Debian est le <a class="ulink" href="https://www.debian.org/intl/l10n/">centre de traduction de Debian</a> où vous pouvez
trouver des statistiques sur les fichiers de traduction trouvés dans les
paquets, mais il n'y a aucune infrastructure pour faciliter le processus de
traduction.
</p>
        <p>
Un effort pour traduire les descriptions de paquet a démarré il y a
longtemps, même si les outils fournissent très peu de prise en charge pour
les utiliser vraiment (seul APT peut les utiliser une fois configuré
convenablement). Les responsables n'ont rien à faire de particulier pour
gérer les traductions des descriptions de paquets ; les traducteurs
devraient utiliser le <a class="ulink" href="http://ddtp.debian.net/">projet de traduction de
descriptions de Debian (<code class="literal">DDTP</code>)</a>.
</p>
        <p>
Pour les questionnaires <code class="systemitem">debconf</code>, les
responsables devraient utiliser le paquet <code class="systemitem">po-debconf</code> pour faciliter le travail des
traducteurs, qui peuvent utiliser le DDTP pour faire leur travail (mais les
équipes française et brésilienne ne le font pas). Certaines statistiques
sont disponibles à la fois sur le <a class="ulink" href="http://ddtp.debian.net/">site du
DDTP</a> (à propos de ce qui est vraiment traduit) et sur le <a class="ulink" href="https://www.debian.org/intl/l10n/">centre de traduction de Debian</a> (à propos de ce qui
est intégré dans les paquets).
</p>
        <p>
Pour les pages web, chaque équipe l10n a accès au système de gestion de
versions correspondant et les statistiques sont disponibles sur le site des
statistiques de traduction Debian centralisées.
</p>
        <p>
Pour la documentation globale à propos de Debian, le processus est plus ou
moins le même que pour les pages web (les traducteurs ont accès au système
de gestion de versions), mais il n'y a pas de page de statistiques.
</p>
        <p>
Pour la documentation spécifique aux paquets (pages de manuel, documents
info, autres formats), presque tout est encore à faire.
</p>
        <p>
En particulier, le projet KDE gère la traduction de ses documentations de la
même façon que ses messages de programme.
</p>
        <p>
Il existe un effort pour gérer les pages de manuel spécifiques à Debian au
sein d'un <a class="ulink" href="https://cvs.debian.org/manpages/?cvsroot=debian-doc">système de
gestion de versions spécifique</a>.
</p>
      </div>
      <div class="section">
        <div class="titlepage">
          <div>
            <div>
              <h2 class="title"><a id="l10n-faqm"/>8.2. FAQ I18N et L10N pour les responsables</h2>
            </div>
          </div>
        </div>
        <p>
Voici une liste des problèmes que les responsables peuvent rencontrer
concernant l'i18n et la l10n. Lorsque vous lirez cela, gardez à l'esprit
qu'il n'y a pas de consensus sur ces points au sein de Debian et que ce ne
sont que des conseils. Si vous avez une meilleure idée pour un problème
donné ou si vous êtes en désaccord avec certains points, vous êtes libre de
fournir vos impressions pour que ce document puisse être amélioré.
</p>
        <div class="section">
          <div class="titlepage">
            <div>
              <div>
                <h3 class="title"><a id="l10n-faqm-tr"/>8.2.1. Comment faire en sorte qu'un texte soit traduit</h3>
              </div>
            </div>
          </div>
          <p>
Pour traduire des descriptions de paquet ou des questionnaires <code class="systemitem">debconf</code>, vous n'avez rien à faire,
l'infrastructure du DDTP répartira le matériel à traduire aux volontaires
sans besoin d'interaction de votre part.
</p>
          <p>
Pour tous les autres matériels (fichiers gettext, pages de manuel ou autre
documentation), la meilleure solution est de placer votre texte quelque part
sur l'Internet et de demander sur debian-i18n la traduction dans différentes
langues. Certains membres des équipes de traduction sont abonnés à cette
liste et ils prendront soin de la traduction et du processus de
relecture. Quand ils auront fini, ils vous enverront le document traduit.
</p>
        </div>
        <div class="section">
          <div class="titlepage">
            <div>
              <div>
                <h3 class="title"><a id="l10n-faqm-rev"/>8.2.2. Comment faire en sorte qu'une traduction donnée soit relue</h3>
              </div>
            </div>
          </div>
          <p>
De temps en temps, des personnes indépendantes traduiront certains textes
inclus dans votre paquet et vous demanderont d'inclure la traduction dans le
paquet. Cela peut devenir problématique si vous n'êtes pas familier avec la
langue donnée. C'est une bonne idée d'envoyer le document à la liste de
diffusion l10n correspondante en demandant une relecture. Une fois celle-ci
faite, vous pourrez avoir une meilleure confiance en la qualité de la
traduction et l'inclure sans crainte dans votre paquet.
</p>
        </div>
        <div class="section">
          <div class="titlepage">
            <div>
              <div>
                <h3 class="title"><a id="l10n-faqm-update"/>8.2.3. Comment faire en sorte qu'une traduction donnée soit mise à jour</h3>
              </div>
            </div>
          </div>
          <p>
Si vous avez certaines traductions d'un texte donné qui traînent, chaque
fois que vous mettez à jour l'original, vous devriez demander au précédent
traducteur de mettre à jour sa traduction avec vos nouveaux
changements. Gardez à l'esprit que cette tâche demande du temps ; au moins
une semaine pour obtenir une mise à jour relue.
</p>
          <p>
Si le traducteur ne répond pas, vous pouvez demander de l'aide sur la liste
de diffusion correspondante. Si tout échoue, n'oubliez pas de mettre un
avertissement dans le document traduit, indiquant que la traduction est un
peu obsolète et que le lecteur devrait se référer au document d'origine si
possible.
</p>
          <p>
Évitez de supprimer complètement une traduction à cause de son
obsolescence. Un vieux document est souvent mieux que pas de documentation
du tout pour les personnes non anglophones.
</p>
        </div>
        <div class="section">
          <div class="titlepage">
            <div>
              <div>
                <h3 class="title"><a id="l10n-faqm-bug"/>8.2.4. Comment gérer un rapport de bogue concernant une traduction</h3>
              </div>
            </div>
          </div>
          <p>

La meilleure solution peut être de marquer le bogue comme transmis au
développeur amont (« <code class="literal">forwarded</code> ») et de faire suivre le
bogue à la fois au précédent traducteur et à son équipe (en utilisant la
liste de diffusion debian-l10n-XXX correspondante).

</p>
        </div>
      </div>
      <div class="section">
        <div class="titlepage">
          <div>
            <div>
              <h2 class="title"><a id="l10n-faqtr"/>8.3. FAQ I18N et L10N pour les traducteurs</h2>
            </div>
          </div>
        </div>
        <p>
Lorsque vous lirez cela, gardez à l'esprit qu'il n'y a pas de procédure
générale dans Debian concernant ces points et que, dans tous les cas, vous
devriez collaborer avec votre équipe et les responsables des paquets.
</p>
        <div class="section">
          <div class="titlepage">
            <div>
              <div>
                <h3 class="title"><a id="l10n-faqtr-help"/>8.3.1. Comment aider l'effort de traduction</h3>
              </div>
            </div>
          </div>
          <p>
Choisissez ce que vous désirez traduire, assurez-vous que personne ne
travaille déjà dessus (en utilisant votre liste de diffusion
debian-l10n-XXX), traduisez-le, faites-le relire par d'autres personnes dont
c'est également la langue maternelle sur votre liste de diffusion l10n et
fournissez-le au responsable du paquet (voir le point suivant).
</p>
        </div>
        <div class="section">
          <div class="titlepage">
            <div>
              <div>
                <h3 class="title"><a id="l10n-faqtr-inc"/>8.3.2. Comment fournir une traduction pour inclusion dans un paquet</h3>
              </div>
            </div>
          </div>
          <p>
Assurez-vous que votre traduction est correcte (en demandant une relecture
sur votre liste de discussion l10n) avant de la fournir pour inclusion. Cela
fera gagner du temps à tout le monde et évitera le chaos qui résulterait
d'avoir plusieurs versions du même document dans les rapports de bogue.
</p>
          <p>
La meilleure solution est de créer un rapport de bogue standard contenant la
traduction sur le paquet. Assurez-vous d'utiliser l'étiquette
<code class="literal">patch</code> et n'utilisez pas une gravité supérieure à
<code class="literal">wishlist</code> car l'absence de traduction n'a jamais empêché
un programme de fonctionner.
</p>
        </div>
      </div>
      <div class="section">
        <div class="titlepage">
          <div>
            <div>
              <h2 class="title"><a id="l10n-best"/>8.4. Meilleures pratiques actuelles concernant la l10n</h2>
            </div>
          </div>
        </div>
        <div class="itemizedlist">
          <ul class="itemizedlist">
            <li class="listitem">
              <p>
En tant que responsable, ne modifiez jamais les traductions en aucune façon
(même pour reformater l'affichage) sans demander à la liste de diffusion
l10n correspondante. Vous risquez, par exemple, de casser l'encodage du
fichier en agissant ainsi. De plus, ce que vous considérez comme une erreur
peut être correct (ou même nécessaire) pour une langue donnée.
</p>
            </li>
            <li class="listitem">
              <p>
En tant que traducteur, si vous trouvez une erreur dans le texte d'origine,
assurez-vous de l'indiquer. Les traducteurs sont souvent les lecteurs les
plus attentifs d'un texte donné et s'ils ne signalent pas les erreurs
découvertes, personne ne le fera.
</p>
            </li>
            <li class="listitem">
              <p>
Dans tous les cas, rappelez-vous que le problème principal avec la l10n est
qu'elle demande la coopération de plusieurs personnes et qu'il est très
facile de démarrer une guerre incendiaire à propos de petits problèmes dûs à
des incompréhensions. Donc, si vous avez des problèmes avec votre
interlocuteur, demandez de l'aide sur la liste de diffusion l10n
correspondante, sur debian-i18n ou même sur debian-devel (attention,
cependant, les discussions sur la l10n tournent très souvent à l'incendie
sur cette liste :)
</p>
            </li>
            <li class="listitem">
              <p>
En tous cas, la coopération ne peut être atteinte qu'avec un <span class="strong"><strong>respect mutuel</strong></span>.
</p>
            </li>
          </ul>
        </div>
      </div>
    </div>
    <div class="navfooter">
      <hr/>
      <table width="100%" summary="Navigation footer">
        <tr>
          <td align="left"><a accesskey="p" href="ch07.html"><img src="images/prev.png" alt="Précédent"/></a> </td>
          <td align="center"> </td>
          <td align="right"> <a accesskey="n" href="apa.html"><img src="images/next.png" alt="Suivant"/></a></td>
        </tr>
        <tr>
          <td align="left" valign="top">Chapitre 7. Au-delà de l'empaquetage </td>
          <td align="center">
            <a accesskey="h" href="index.html">
              <img src="images/home.png" alt="Sommaire"/>
            </a>
          </td>
          <td align="right" valign="top"> Annexe A. Aperçu des outils du responsable Debian</td>
        </tr>
      </table>
    </div>
  </body>
</html>
